Name: knights
Version: 0.6
Release: alt2
License: GPL
Group: Games/Boards
Summary: A chess interface for the K Desktop Environment
URL: http://www.knights-chess.com
Source: %{name}-%{version}.tar.gz
Patch: %{name}-patch-core.patch 


# Automatically added by buildreq on Wed Jan 19 2005
BuildRequires: boson fontconfig freetype2 gcc-c++ glib2 hostinfo kde-settings kdelibs-devel libarts-devel libarts-qtmcop libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xorg-x11-devel xorg-x11-libs zlib-devel

%description
Knights is a graphical chess interface designed to work with KDE.
Knights is called a chess 'interface' because it does not come with
it's own computer players. There are several very good computer players
(Chess Engines) already. Unfortunatly, most chess engines do not
include fully featured GUIs. Instead, they rely on other programs
(like Knights) to fill the gap.

%prep
%setup -q 
%__subst 's,\.la,\.so,' configure
%patch -p0

%build
%configure --disable-rpath
%make

%install
%__mkdir_p  %buildroot{%_bindir,%_datadir,%_menudir}
%makeinstall
%find_lang %{name}


# Menu                                                                          
%__cat << EOF > %buildroot%_menudir/%name
?package(%name): needs="X11" section="Amusement/Boards" title="Knights-chess" command="%_bindir/%{name}" icon="%{name}.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%_bindir/*
%_datadir/apps/*
%_datadir/applnk/*
%_menudir/*
%_defaultdocdir/HTML/en/*
%_iconsdir/*/*/*/*.png
%_datadir/mimelnk/*
%_defaultdocdir/HTML/en/* 
%_defaultdocdir/HTML/ru/* 
%doc ChangeLog README AUTHORS COPYING TODO CreatingThemes History


%changelog
* Wed Jan 19 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.6-alt2
- gcc3.4 compatible


* Wed Oct 06 2004 Eugene V. Horohorin <genix@altlinux.ru> 0.6-alt1
- First build.

